# Create Address Event

Accurately recording Events is critical to understanding the validity of an address.

### Resource

where {uuid} is the Address Exchange Address UUID

```json
POST    https://hosted.mastersoftgroup.com/harmony/rest/address/exchange/v1/addresses/{uuid}/events
```

### Request

The request uses the uuid of the address to post Address Actions.

Once sent you cannot edit the Action via this endpoint please see [Edit Address Action](/loqate-harmony-api/address-exchange-beta/adx-api-specification/edit-address-event.md).

```json
{
  "action": "accept" or "deny",
  "description": "string",
  "newAssessment": true, //always mark true
}
```

### Response

```json
{
    "status": "SUCCESS",
    "messages": [],
    "payload": {
        "uuid": "72d22f6e-dac3-4be8-adc8-c65f5f9a7fe4",
        "action": "accept",
        "source": {
            "id": 6,
            "code": null,
            "externalCode": null,
            "description": null,
            "internalOnly": true,
            "descriptionOnly": false
        },
        "customerId": xxxx,
        "eventDate": 1691992474387,
        "score": 10,
        "description": "Number on door. Alias for 25 Milton.",
        "attributes": {}
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/address-exchange-beta/adx-api-specification/create-address-event.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
